#* vim:ts=4:
#*---------------------------------------------------------------------------*
#* Project
#*        slurpmedia - Slurp multimedia files from news articles
#*        Copyright (C) 1999  klmcw@earthlink.net <Kevin L. McWhirter>
#*
#*        This program is free software; you can redistribute it and/or modify
#*        it under the terms of the GNU General Public License as published by
#*        the Free Software Foundation; either version 2 of the License, or
#*        (at your option) any later version.
#*
#*        This program is distributed in the hope that it will be useful,
#*        but WITHOUT ANY WARRANTY; without even the implied warranty of
#*        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*        GNU General Public License for more details.
#*
#*        You should have received a copy of the GNU General Public License
#*        along with this program; if not, write to the Free Software
#*        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#*
#* Module
#*        $Id$
#*
#* Description
#*
#*---------------------------------------------------------------------------*
#* $Log$
#*---------------------------------------------------------------------------*
package smfmAbout;
require smApp;

#*---------------------------------------------------------------------------*
sub new {
	my $class = shift;
	my $parent = shift;

	#* Define about Dialog
	my $self = $parent->Dialog(
		-title          =>	'About Slurp Media'
	,	-bitmap         =>	'info'
	,	-default_button =>	'OK'
	,	-buttons        =>	['OK']
	,	-font			=>	'courier 10'
	,	-text           =>
		"Slurp Media\t$smApp::VERSION\n" .
		"\t\t$smApp::VDATE\n" .
		"Perl Version\t$]\n" .
		"Tk Version\t$Tk::VERSION",
	);

	$self;
}
#*---------------------------------------------------------------------------*
1;
#*---------------------------------------------------------------------------*
